// -*- C++ -*-

//=============================================================================
/**
 *  @file    syslog.h
 *
 *  definitions for system error logging
 *
 *  syslog.h,v 1.2 2003/04/21 15:52:59 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_SYSLOG_H
#define ACE_OS_INCLUDE_SYSLOG_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#if !defined (ACE_LACKS_SYSLOG_H)
# include /**/ <syslog.h>
#endif /* !ACE_LACKS_SYSLOG_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_SYSLOG_H */
